package oop.Polymorphism;

public class GehaltMitarbeiter extends Mitarbeiter {
	
	double bouns;
	
	public GehaltMitarbeiter() {}
	
	public double getBouns() {
		return bouns;
	}

	public void setBouns(double bouns) {
		this.bouns = bouns;
	}

	public GehaltMitarbeiter(String name, String adresse, String abteilung, String email, double gehalt,double bouns) {
		super(name, adresse, abteilung, email, gehalt);
		this.bouns = bouns;
		
	}
	
	@Override
	public double getGehalt() {
		return super.getGehalt() + this.bouns;
	}
	// entweder super.getGehalt() 
	// oder gehalt von private zu protected umwandlen
	
	
}
